<?php

function theme_activate($id, $version, &$errors)
{
  global $prefixeTable, $conf;

  if (!isset($conf['stripped']))
  {
    $config = array(
	'hideMenu'						=> true,
	'animatedMenu'					=> true,
	'animatedTabs'					=> true,
	'replaceActionIcons'			=> true,
	'noLowercase'					=> false,
	'showThumbLegend'				=> false,
	'showTitleOnBrowsePath'			=> false,
	'showDescriptionInsteadOfTitle'	=> false,
	'useNavigationArrows'			=> true,
	'infoTabAdminOnly'				=> false,
	'imageAutosize'					=> true,
	'imageAutosizeTitle'			=> true,
	'imageAutosizeMargin'			=> 60,
	'imageAutosizeMinHeight'		=> 200,
	'navThumbsFade'					=> 150,
	'marginContainer'				=> 30,
	'paddingContainer'				=> 10,
	'defaultZoomSize'				=> 'full',
	'highResClickMode'				=> 'zoom',
      );
      
    $query = '
INSERT INTO ' . CONFIG_TABLE . ' (param,value,comment)
VALUES ("stripped" , "'.pwg_db_real_escape_string(serialize($config)).'" , "stripped theme parameters");';

    pwg_query($query);
  }
}

function theme_deactivate()
{
  global $prefixeTable;

  $query = 'DELETE FROM ' . CONFIG_TABLE . ' WHERE param="stripped" LIMIT 1;';
  pwg_query($query);
}

?>